## Package org.apache.mahout.cf.taste.common

Interface Summary
Refreshable: Implementations of this interface have state that can be periodically refreshed.

Enum Summary
Weighting: A simple enum which gives symbolic names to the ideas of "weighted" and "unweighted", to make various API calls which take a weighting parameter more readable.

Exception Summary
NoSuchItemException
NoSuchUserException
TasteException: An exception thrown when an error occurs inside the Taste engine.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.